
/* AppDefs.H	    Created:	1994-08-22  Revised:   1994-08-22	*/

/* Module Definition Header						*/

/* Copyright ¸ 1994  Prominare Inc.  All Rights	Reserved.		*/


extern FONTMETRICS fm;		   /* Font Metrics Info			*/
extern HSWITCH hSwitch;		   /* Task List	Entry Handle		*/
extern HAB  hAB;		   /* Program Anchor Block Handle	*/
extern HMQ  hmqExample;		   /* Program Message Queue Handle	*/
extern HWND hwndExample;	   /* Client Window Handle		*/
extern HWND hwndExampleFrame;	   /* Frame Window Handle		*/
extern HWND hmenuExample;	   /* Menu Handle			*/
VOID InitApp(HWND hwndFrame, HWND hwndClient, PSZ pszWindowListTitle);
HWND CreateStdWindow(HWND hwndParent, ULONG flStyle, ULONG flCreateFlags,
		     PSZ pszClientClass, PSZ pszTitle, ULONG styleClient,
		     HMODULE hmod, ULONG idResources, PHWND phwndClient,
		     LONG x, LONG y, LONG cx, LONG cy);
MRESULT	UreKeyProc(HWND	hWnd, ULONG msg, MPARAM	mp1, MPARAM mp2);
VOID	UreGetTemplate(HWND hWnd, ULONG	id);
MRESULT	EXPENTRY ExampleWndProc(HWND hWnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT	EXPENTRY ExampleDlgProc(HWND hWnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT	EXPENTRY AboutDlgProc(HWND hWnd, ULONG msg, MPARAM mp1,	MPARAM mp2);
